package com.ygtx.gxt.domain.vo;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 风机类型检查分值视图对象，用于导出时显示维保类型名称
 * 
 * @author ruoyi
 * @date 2025-01-20
 */
public class GxtFanInspectionScoreVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 风机类型 */
    @Excel(name = "机型")
    private String fanType;

    /** 维保类型名称 */
    @Excel(name = "维保类型")
    private String inspectionTypeName;

    /** 对应分值 */
    @Excel(name = "分值")
    private BigDecimal score;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;
    
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFanType() {
        return fanType;
    }

    public void setFanType(String fanType) {
        this.fanType = fanType;
    }

    public String getInspectionTypeName() {
        return inspectionTypeName;
    }

    public void setInspectionTypeName(String inspectionTypeName) {
        this.inspectionTypeName = inspectionTypeName;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}